Loading...
Searching...
No Matches
Dune::Amg::PropertyGraphVertexPropertyMap< G, i > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/dependency.hh>`

Inheritance diagram for Dune::Amg::PropertyGraphVertexPropertyMap< G, i >:

## Public Types

enum | { index = i }
typedef ReadWritePropertyMapTag | Category
typedef G | Graph
| The type of the graph with internal properties.
typedef std::bitset< VertexProperties::SIZE > | BitSet
| The type of the bitset.
typedef BitSet::reference | Reference
| The reference type.
typedef bool | ValueType
| The value type.
typedef G::VertexDescriptor | Vertex
| The vertex descriptor.

## Public Member Functions

| PropertyGraphVertexPropertyMap (G &g)
| Constructor.
| PropertyGraphVertexPropertyMap ()
| Default constructor.
Reference | operator[] (const Vertex &vertex) const
| Get the properties associated to a vertex.

The documentation for this class was generated from the following file:

- dependency.hh